\name{mirbaseID2ACC}
\alias{mirbaseID2ACC}
\alias{mirbaseACC2ID}

\title{MicroRNA IDs to Accessions}

\description{
  mirbaseID2ACC is an R object that provides mappings between
  microRNA identifiers and their Accession numbers.
}

\details{
  Each microRNA identifier maps to a unique Accession number.

  Source: miRBase (Version: 17.0)  
  ftp://mirbase.org/pub/mirbase/CURRENT/  
  With a date stamp from the source of: 27 Apr 2011
}

\examples{
    x <- mirbaseID2ACC
    # Get the microRNA identifiers that are mapped to an Accession
    mapped_keys <- mappedkeys(x)
    # Convert to a list
    xx <- as.list(x[mapped_keys])
    if(length(xx) > 0) {
      # Get the ID2ACC for the first five entries
      xx[1:5]
     }
}

\keyword{data}
