\name{mirbasePMID}
\alias{mirbasePMID}

\title{MicroRNA IDs to References}

\description{
  mirbasePMID is an R object that maps microRNA identifiers to a
  set of references (PubMed IDentifiers).
}

\details{
  Each microRNA identifier maps to a \code{\link{mirnaPmid}} object that
  has 5 slots:
   pmidAuthor: List of authors
   pmidTitle: Title
   pmidJournal: Citation
   pmidMedline: Pubmed identifier
   pmidOrderAdded: Order

  The Order is the same as the one used in
  \code{\link{mirbaseCOMMENT}} and in
  \code{\link{mirbaseMATURE}}.

  Source: miRBase (Version: 17.0)  
  ftp://mirbase.org/pub/mirbase/CURRENT/  
  With a date stamp from the source of: 27 Apr 2011
}

\seealso{\code{\link{mirnaPmid}}}

\examples{
    x <- mirbasePMID
    mapped_keys <- mappedkeys(x)
    # Get the PMIDs for the first element of xx
    get(mapped_keys[1], x)
}

\keyword{data}
