\name{mirbaseSEQUENCE}
\alias{mirbaseSEQUENCE}

\title{MicroRNA IDs to Sequence}

\description{
  mirbaseSEQUENCE is an R object that provides mappings between
  microRNA identifiers and their precursor sequence (stem-loop).
}

\details{
  Each microRNA identifier maps to a unique character string
  representing the precursor (stem-loop) sequence of the microRNA.
  A graphical representation of the folded sequence can be found by
  using \code{\link{mirbaseHAIRPIN}}.
  
  Source: miRBase (Version: 17.0)  
  ftp://mirbase.org/pub/mirbase/CURRENT/  
  With a date stamp from the source of: 27 Apr 2011
}

\seealso{\code{\link{mirbaseHAIRPIN}}}

\examples{
    x <- mirbaseSEQUENCE
    # Get the microRNA identifiers that are mapped to a SEQUENCE
    mapped_keys <- mappedkeys(x)
    # Convert to a list
    xx <- as.list(x[mapped_keys])
    if(length(xx) > 0) {
        # Get the SEQUENCE for the first five entries
        xx[1:5]
    }
}

\keyword{data}

